Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.bpmn2.xml
Class CatchLinkNodeHandler

    java.lang.Object
      org.drools.core.xml.BaseAbstractHandler
          org.jbpm.bpmn2.xml.AbstractNodeHandler
              org.jbpm.bpmn2.xml.CatchLinkNodeHandler

All Implemented Interfaces:
  org.drools.core.xml.Handler

    public class CatchLinkNodeHandler

extends AbstractNodeHandler
implements org.drools.core.xml.Handler

Field Summary

Fields inherited from class org.jbpm.bpmn2.xml.AbstractNodeHandler
`dataInputs, dataOutputs, EOL, inputAssociation, logger, outputAssociation`

Fields inherited from class org.drools.core.xml.BaseAbstractHandler
`allowNesting, validParents, validPeers`

Constructor Summary
`CatchLinkNodeHandler()`

Method Summary
`protected Node` | `createNode(Attributes attrs)`
`Class<?>` | `generateNodeFor()`
`void` | `writeNode(Node node, StringBuilder xmlDump, int metaDataType)`

Methods inherited from class org.jbpm.bpmn2.xml.AbstractNodeHandler
`containsExtensionElements, end, endNode, endNode, extractScript, getDataType, getErrorIdForErrorCode, getMetaData, handleNode, handleScript, handleThrowCompensationEventNode, initValidParents, initValidPeers, readDataInputAssociation, readDataOutputAssociation, readIoSpecification, readMultiInstanceLoopCharacteristics, start, writeExtensionElements, writeMetaData, writeNode, writeScript, writeScripts`

Methods inherited from class org.drools.core.xml.BaseAbstractHandler
`allowNesting, emptyAttributeCheck, emptyContentCheck, getValidParents, getValidPeers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.drools.core.xml.Handler
`allowNesting, end, getValidParents, getValidPeers, start`

Constructor Detail

### CatchLinkNodeHandler

    public CatchLinkNodeHandler()

Method Detail

### generateNodeFor

    public Class<?> generateNodeFor()

  Specified by:
    `generateNodeFor` in interface `org.drools.core.xml.Handler`

### createNode

    protected Node createNode(Attributes attrs)

  Specified by:
    `createNode` in class `AbstractNodeHandler`

### writeNode

    public void writeNode(Node node,
                          StringBuilder xmlDump,
                          int metaDataType)

  Specified by:
    `writeNode` in class `AbstractNodeHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.